# vim: set sw=4 ts=4 et nu:

Name:           perl-Devel-Dumpvar
Version:        1.06
Release:        1.1
Summary:        A pure-OO reimplementation of dumpvar.pl
Source:         http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Devel-Dumpvar-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Devel-Dumpvar
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
Requires:       perl = %{perl_version}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(Test::More) >= 0.42
BuildRequires:  perl(File::Spec) >= 0.80
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Scalar::Util) >= 1.18
Requires:       perl(Scalar::Util) >= 1.18
Requires:       perl(File::Spec) >= 0.80

%description
Most perl dumping modules are focused on serializing data structures into
a format that can be rebuilt into the original data structure. They do
this with a variety of different focuses, such as human readability, the
ability to execute the dumped code directly, or to minimize the size of
the dumped data.
Excect for the one contained in the debugger, in the file dumpvar.pl. This
is a much more human-readable form, highly useful for debugging,
containing a lot of extra information without the burden of needing to
allow the dump to be re-assembled into the original data.
The main downside of the dumper in the perl-debugger is that the
dumpvar.pl script is not really a readily loadable and usable module. It
has dedicated hooks from and to the debugger, and spans across multiple
namespaces, including main::.
Devel::Dumpvar is a pure object-orientated reimplementation of the same
functionality. This makes it much more versatile version to use for
dumping information to debug log files or other uses where you don't need
to reassemble the data.

%prep
%setup -q -n "Devel-Dumpvar-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%dir %{perl_vendorlib}/Devel
%{perl_vendorlib}/Devel/Dumpvar.pm
%dir %{perl_vendorarch}/auto/Devel
%{perl_vendorarch}/auto/Devel/Dumpvar
%doc %{perl_man3dir}/Devel::Dumpvar.%{perl_man3ext}%{ext_man}

%changelog
* Mon Dec 27 2010 pascal.bleser@opensuse.org
- initial version (1.06)
